Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations IDS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

drawing slots ACAD2000

Status
Not open for further replies.

rwbaker

Computer
Mar 27, 2004
37
is there a command that will draw slots in acad2000
 
Replies continue below

Recommended for you

You can use MLINEs with arced caps...

Another thing you can do is, draw a line, offset it the width and then fillet the ends.

One last suggestion would be to make a unit block and then insert it in at the appropriate scales.

- Tracy
 
Or, you could try this:

(defun C:SLOT (/ A B B1 B2 C D PW)
(setq PW (getvar"PLINEWID"))
(initget 1)
(setq B1 (getdist "\nLength of slot: "))
(setq B2 (/ B1 2.0))
(setq B (list B2 0.0))
(initget 1)
(setq C (list 0.0 (getdist "\nWidth of slot: ")))
(initget 1)
(while
(setq A (getpoint "\nInsertion point: "))
(setq D (list (- (car A) (/ (car B) 2)) (- (cadr A) (/ (cadr C) 2))))
(setvar "PLINEWID" 0)
(command "_.pline"
D
(mapcar '+ D B)
"_a"
(mapcar '+ D B C)
"_l"
(mapcar '+ D C)
"_a"
"_cl")
);while
(setvar "PLINEWID" PW)
(princ)
)

Add it to your Acad.lsp file, or type (load"slot") on the command line, or lcick Tools / Load Application and go tet it, or or or or ....
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor